> ## Documentation Index
> Fetch the complete documentation index at: https://zeropath.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List SCA repositories with dependency inventory

> Fetch repositories along with aggregated dependency inventory data.



## OpenAPI

````yaml https://zeropath.com/openapi/v1.yaml post /api/v1/sca/repositories/search
openapi: 3.1.0
info:
  title: ZeroPath API
  version: 1.0.0
  description: Public API for ZeroPath
servers:
  - url: https://zeropath.com
    description: Production server
    x-fern-server-name: Production
  - url: https://dev.branch.zeropath.com
    description: Development server
    x-fern-server-name: Development
security:
  - apiTokenId: []
    apiTokenSecret: []
tags:
  - name: Organizations
    description: Operations related to organizations
  - name: Stats
    description: Operations related to stats
  - name: Repositories
    description: Operations related to repositories
  - name: Installations
    description: Operations related to installations
  - name: Issues
    description: Operations related to issues
  - name: SCA
    description: Software Composition Analysis
  - name: Scans
    description: Operations related to scans
  - name: Rules
    description: Operations related to custom security rules
  - name: Referrals
    description: Operations related to referrals
paths:
  /api/v1/sca/repositories/search:
    post:
      tags:
        - SCA
      summary: List SCA repositories with dependency inventory
      description: Fetch repositories along with aggregated dependency inventory data.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListScaRepositoryInventoryInput'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScaRepositoryInventoryResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    ListScaRepositoryInventoryInput:
      type: object
      properties:
        organizationId:
          type: string
        repositoryIds:
          type: array
          items:
            type: string
        cursor:
          type: string
        limit:
          type: integer
          minimum: 1
          maximum: 50
          default: 10
        searchQuery:
          type: string
        hasVulnerabilities:
          type: boolean
        packageType:
          type: string
          enum:
            - public
            - private
        ecosystems:
          type: array
          items:
            type: string
    ScaRepositoryInventoryResponse:
      type: object
      properties:
        repositories:
          type: array
          items:
            $ref: '#/components/schemas/ScaRepositoryInventoryItem'
        nextCursor:
          type:
            - string
            - 'null'
      required:
        - repositories
    ScaRepositoryInventoryItem:
      type: object
      properties:
        repositoryId:
          type: string
        repositoryName:
          type: string
        monorepoName:
          type:
            - string
            - 'null'
        monorepoPartitionRole:
          type: string
          enum:
            - none
            - scoped
            - fallback
        scaScanId:
          type: string
        scaScanUpdatedAt:
          type: string
          format: date-time
        manifestCount:
          type: integer
        uniquePackageCount:
          type: integer
        totalInstanceCount:
          type: integer
        vulnerablePackageCount:
          type:
            - integer
            - 'null'
      required:
        - repositoryId
        - repositoryName
        - monorepoPartitionRole
        - scaScanId
        - scaScanUpdatedAt
        - manifestCount
        - uniquePackageCount
        - totalInstanceCount
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
  securitySchemes:
    apiTokenId:
      type: apiKey
      in: header
      name: X-ZeroPath-API-Token-Id
      x-fern-header:
        name: apiTokenId
        env: ZEROPATH_API_TOKEN_ID
    apiTokenSecret:
      type: apiKey
      in: header
      name: X-ZeroPath-API-Token-Secret
      x-fern-header:
        name: apiTokenSecret
        env: ZEROPATH_API_TOKEN_SECRET

````